﻿using DragDropDemo.Model;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DragDropDemo.ViewModel
{
    public class DragDropViewModel : ViewModelBase
    {

        public DragDropViewModel()
        {
            ObservableCollection<OrganisationListViewModel> listVM = new ObservableCollection<OrganisationListViewModel>();
            ObservableCollection<SongViewModel> songVM = new ObservableCollection<SongViewModel>();

            Guid l1_g = Guid.NewGuid();
            Guid l2_g = Guid.NewGuid();
            Guid l3_g = Guid.NewGuid();

            OrganisationListViewModel l1 = new OrganisationListViewModel(new OrganisationList() { ID = l1_g, Name = "List001" }); listVM.Add(l1);
            OrganisationListViewModel l2 = new OrganisationListViewModel(new OrganisationList() { ID = l2_g, Name = "List002" }); listVM.Add(l2);
            OrganisationListViewModel l3 = new OrganisationListViewModel(new OrganisationList() { ID = l3_g, Name = "List003" }); listVM.Add(l3);

            for (int i = 0; i < 10; i++)
            {
                Random r = new Random();
                Song m_s = new Song { Name = $"Song {i}", Interpret = "lalal", OrganisationListID = listVM[0].ID };
                SongViewModel s = new SongViewModel(m_s, listVM.ToList());
                songVM.Add(s);
            }
            for (int i = 0; i < 10; i++)
            {
                Random r = new Random();
                Song m_s = new Song { Name = $"Song {i}", Interpret = "lalal", OrganisationListID = listVM[1].ID };
                SongViewModel s = new SongViewModel(m_s, listVM.ToList());
                songVM.Add(s);
            }
            for (int i = 0; i < 10; i++)
            {
                Random r = new Random();
                Song m_s = new Song { Name = $"Song {i}", Interpret = "lalal", OrganisationListID = listVM[2].ID };
                SongViewModel s = new SongViewModel(m_s, listVM.ToList());
                songVM.Add(s);
            }
        }


        //Song einer Liste hinzufügen
        //Song aus einer Liste löschen
    }
}
